NetBSD Problem Report #51581

From www@NetBSD.org  Fri Oct 28 15:00:38 2016
Return-Path: <www@NetBSD.org>
Received: from mail.netbsd.org (mail.netbsd.org [199.233.217.200])
	(using TLSv1.2 with cipher ECDHE-RSA-AES256-GCM-SHA384 (256/256 bits))
	(Client CN "mail.netbsd.org", Issuer "Postmaster NetBSD.org" (verified OK))
	by mollari.NetBSD.org (Postfix) with ESMTPS id 2921F7A10E
	for <gnats-bugs@gnats.NetBSD.org>; Fri, 28 Oct 2016 15:00:38 +0000 (UTC)
Message-Id: <20161028150036.46BE77A2B4@mollari.NetBSD.org>
Date: Fri, 28 Oct 2016 15:00:36 +0000 (UTC)
From: mutek@riseup.net
Reply-To: mutek@riseup.net
To: gnats-bugs@NetBSD.org
Subject: configure: error: You may want to use --disable-unicode or install libncursesw
X-Send-Pr-Version: www-1.0

>Number:         51581
>Category:       pkg
>Synopsis:       configure: error: You may want to use --disable-unicode or install libncursesw
>Confidential:   no
>Severity:       non-critical
>Priority:       high
>Responsible:    pkg-manager
>State:          open
>Class:          support
>Submitter-Id:   net
>Arrival-Date:   Fri Oct 28 15:05:00 +0000 2016
>Last-Modified:  Fri Jan 27 03:05:01 +0000 2017
>Originator:     Luther
>Release:        pkgsrc 2016Q3
>Organization:
na
>Environment:
Linux computer 3.16.0-4-amd64 #1 SMP Debian 3.16.7-ckt25-2+deb8u3 (2016-07-02) x86_64 GNU/Linux

./bootstrap --unprivileged
>Description:
export SH=/bin/bash

xz -d pkgsrc-2016Q3.tar.xz

tar -xf pkgsrc-2016Q3.tar

cd pkgsrc/bootstrap

./bootstrap --unprivileged

....

export PATH=$HOME/pkg/bin:$HOME/pkg/sbin:$PATH
which bmake 

...

cd $HOME/pkgsrc/sysutils/htop

bmake install clean; bmake clean-depends
...
..
.

checking whether gcc -std=c99 option works... yes
checking if compiler supports -Wextra... yes
checking for addnwstr in -lncursesw6... no
checking for addnwstr in -lncursesw... no
checking for addnwstr in -lncurses... no
checking for addnwstr in -lncursesw6... (cached) no
checking for addnwstr in -lncursesw... (cached) no
checking for addnwstr in -lncurses... (cached) no
configure: error: You may want to use --disable-unicode or install libncursesw.
*** Error code 1

Stop.
bmake[1]: stopped in /home/Pkgsrc/pkgsrc/sysutils/htop
*** Error code 1

Stop.
bmake: stopped in /home/Pkgsrc/pkgsrc/sysutils/htop
===> Cleaning for nbpatch-20151107
===> Cleaning for digest-20160304
===> Cleaning for perl-5.24.0
===> Cleaning for p5-gettext-1.07nb1
===> Cleaning for help2man-1.47.4
===> Cleaning for autoconf-2.69nb7
===> Cleaning for automake-1.15nb4
===> Cleaning for libtool-base-2.4.2nb13
===> Cleaning for ncurses-6.0nb2
===> Cleaning for ncursesw-6.0nb1
===> Cleaning for bzip2-1.0.6nb1
===> Cleaning for pax-20080110nb2
===> Cleaning for db4-4.8.30
===> Cleaning for pkgconf-1.0.1
===> Cleaning for libffi-3.2.1nb1
===> Cleaning for readline-7.0
===> Cleaning for zlib-1.2.8nb3
===> Cleaning for p5-Scalar-List-Utils-1.45nb1
===> Cleaning for p5-CPAN-Meta-2.150010
===> Cleaning for p5-inc-latest-0.500nb1
===> Cleaning for p5-Module-Build-0.42200
===> Cleaning for p5-Perl4-CoreLibs-0.003nb6
===> Cleaning for openssl-1.0.2j
===> Cleaning for mozilla-rootcerts-1.0.20160610
===> Cleaning for python27-2.7.12nb4
===> Cleaning for libelf-0.8.13nb1
===> Cleaning for pcre-8.39
===> Cleaning for glib2-2.48.2
===> Cleaning for desktop-file-utils-0.23
===> Cleaning for htop-2.0.2
===> Dist cleaning for htop-2.0.2

I cannot install htop due to ncurses error
thank you in advance for your help
>How-To-Repeat:
export SH=/bin/bash

xz -d pkgsrc-2016Q3.tar.xz

tar -xf pkgsrc-2016Q3.tar

cd pkgsrc/bootstrap

./bootstrap --unprivileged

....

export PATH=$HOME/pkg/bin:$HOME/pkg/sbin:$PATH
which bmake 

...

cd $HOME/pkgsrc/sysutils/htop

bmake install clean; bmake clean-depends
>Fix:

>Audit-Trail:
From: coypu@SDF.ORG
To: gnats-bugs@netbsd.org
Cc: 
Subject: Re: pkg/51581: configure: error: You may want to use
 --disable-unicode or install libncursesw
Date: Sun, 30 Oct 2016 10:05:34 +0000

 ncursesw is a dependency, so I'm assuming it's a case of our use of
 builtin ncursesw being broken.

 Any ideas why it would be broken?

From: Yuji Yamano <yyamano@kt.rim.or.jp>
To: gnats-bugs@NetBSD.org, mutek@riseup.net
Cc: 
Subject: Re: pkg/51581: configure: error: You may want to use
 --disable-unicode or install libncursesw
Date: Fri, 27 Jan 2017 12:01:52 +0900 (JST)

 > checking for addnwstr in -lncursesw6... no
 > checking for addnwstr in -lncursesw... no
 > checking for addnwstr in -lncurses... no
 > checking for addnwstr in -lncursesw6... (cached) no
 > checking for addnwstr in -lncursesw... (cached) no
 > checking for addnwstr in -lncurses... (cached) no
 > configure: error: You may want to use --disable-unicode or install libncursesw.

 > ===> Cleaning for ncurses-6.0nb2
 > ===> Cleaning for ncursesw-6.0nb1

 Could you send htop/work/htop-2.0.2/config.log?
 It looks configure script failed to find curses library.

 -- 
 Yuji Yamano

NetBSD Home
NetBSD PR Database Search

(Contact us) $NetBSD: query-full-pr,v 1.39 2013/11/01 18:47:49 spz Exp $
$NetBSD: gnats_config.sh,v 1.8 2006/05/07 09:23:38 tsutsui Exp $
Copyright © 1994-2014 The NetBSD Foundation, Inc. ALL RIGHTS RESERVED.